using IUL.Contracts;
using IUL.Facade;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System.Threading.Tasks;

namespace IUL.Tests
{
  [TestClass]
  public class Echo
  {
    [TestMethod]
    public void TestGET()
    {
      var Req = IULFacade.Get("echo");
      Task.WaitAll(Req);
      var HttpRes = Req.Result;
      Assert.IsNotNull(HttpRes);
      Assert.IsTrue(HttpRes.StatusCode == System.Net.HttpStatusCode.OK, $"StatusCode: {(int)HttpRes.StatusCode} - {HttpRes.StatusCode}");
    }

    [TestMethod]
    public void TestEcho()
    {
      var ReqObj = IULFacade.Get<EchoRequest>("echo");
      Assert.IsNotNull(ReqObj);
      var HttpRes = IULFacade.Send("echo", new EchoResult { Session = ReqObj.Session });
      Assert.IsNotNull(HttpRes);
      Assert.IsTrue(HttpRes.StatusCode == System.Net.HttpStatusCode.OK, $"StatusCode: {(int)HttpRes.StatusCode} - {HttpRes.StatusCode}");
    }
  }
}
